SDL_AssertData Struct Reference

`#include <SDL_assert.h>`

Collaboration diagram for SDL_AssertData:
[legend]

## Data Fields

int | always_ignore
unsigned int | trigger_count
const char * | condition
const char * | filename
int | linenum
const char * | function
const struct SDL_AssertData * | next

## Detailed Description

Definition at line 111 of file SDL_assert.h.

## Field Documentation

## always_ignore

int SDL_AssertData::always_ignore

Definition at line 113 of file SDL_assert.h.

Referenced by TestAssertions().

## condition

const char* SDL_AssertData::condition

Definition at line 115 of file SDL_assert.h.

Referenced by TestAssertions().

## filename

const char* SDL_AssertData::filename

Definition at line 116 of file SDL_assert.h.

Referenced by TestAssertions().

## function

const char* SDL_AssertData::function

Definition at line 118 of file SDL_assert.h.

Referenced by TestAssertions().

## linenum

int SDL_AssertData::linenum

Definition at line 117 of file SDL_assert.h.

Referenced by TestAssertions().

## next

const struct SDL_AssertData* SDL_AssertData::next

Definition at line 119 of file SDL_assert.h.

Referenced by TestAssertions().

## trigger_count

unsigned int SDL_AssertData::trigger_count

Definition at line 114 of file SDL_assert.h.

Referenced by TestAssertions().

The documentation for this struct was generated from the following file:

- include/SDL_assert.h